<!--<ion-header>
  <ion-navbar style="display:block; text-align: center;background: white">
    <img src="../../assets/icon.png" alt="" >
  </ion-navbar>
</ion-header>-->

<ion-content padding style="background: grey">
  <ion-card style="height: 95%">
      <ion-item class="header-titles">
        <img src="../../assets/icon.png" alt="" >
        <h1> {{currentPage}}/2 </h1>
        <strong>Datos Personales</strong>
      </ion-item>
    <form  novalidate>
      <ion-list> 
        <ion-slides #slider >
          <ion-slide>
            <ion-grid>

              <ion-row>
                <ion-col>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Nombre
                    </ion-label>
                    <ion-input [(ngModel)]="user.name"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
                <ion-col>
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Apellido
                    </ion-label>
                    <ion-input [(ngModel)]="user.last_name"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
                <ion-col>
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Genero
                    </ion-label>
                    <ion-select [(ngModel)]="user.gender"  [ngModelOptions]="{standalone: true}">
                      <ion-option value="f">Femenino</ion-option>
                      <ion-option value="m">Masculino</ion-option>
                    </ion-select>
                  </ion-item>  
                </ion-col>
                <ion-col>
                </ion-col>
              </ion-row>    

              <ion-row>
                <ion-col>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Fecha de Nacimiento
                    </ion-label>
                        <ion-datetime displayFormat="MM DD YYYY" [(ngModel)]="user.date" [ngModelOptions]="{standalone: true}"></ion-datetime>
                  </ion-item>  
                </ion-col>
                <ion-col>
                </ion-col>
              </ion-row>          
              <button ion-button round (click)="changeSlide()">Siguiente</button>
            </ion-grid>   
          </ion-slide>
          <ion-slide>
            <ion-grid>
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Pais
                    </ion-label>
                    <ion-select [(ngModel)]="user.country"  [ngModelOptions]="{standalone: true}">
                      <ion-option [value]="country.code" *ngFor="let country of countries">{{country.name}}</ion-option >
                    </ion-select>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Edo./Prov./Dpto.
                    </ion-label>
                    <ion-input [(ngModel)]="user.state"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Ciudad
                    </ion-label>
                    <ion-input [(ngModel)]="user.city"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
                <ion-col>
                </ion-col>
              </ion-row>

              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label floating class="title">
                      Direccion
                    </ion-label>
                    <ion-input [(ngModel)]="user.address"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>    

              <ion-row>
                <ion-col col-4>
                  <ion-item>
                    <ion-label floating class="title">
                      Cod Pais
                    </ion-label>
                    <ion-input [(ngModel)]="user.postalCode"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
                <ion-col col-8>
                  <ion-item>
                    <ion-label floating class="title">
                      Telefono
                    </ion-label>
                    <ion-input [(ngModel)]="user.phoneNumber"  [ngModelOptions]="{standalone: true}">
                    </ion-input>
                  </ion-item>  
                </ion-col>
              </ion-row>          
              <button ion-button round (click)="register()">Continuar</button>
            </ion-grid>
          </ion-slide>
        </ion-slides>
      </ion-list>
    </form>

  </ion-card>
</ion-content>
